<?php
$tdatagestion_arbol = array();
$tdatagestion_arbol[".searchableFields"] = array();
$tdatagestion_arbol[".ShortName"] = "gestion_arbol";
$tdatagestion_arbol[".OwnerID"] = "";
$tdatagestion_arbol[".OriginalTable"] = "gestion_arbol";


$tdatagestion_arbol[".pagesByType"] = my_json_decode( "{}" );
$tdatagestion_arbol[".originalPagesByType"] = $tdatagestion_arbol[".pagesByType"];
$tdatagestion_arbol[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdatagestion_arbol[".originalPages"] = $tdatagestion_arbol[".pages"];
$tdatagestion_arbol[".defaultPages"] = my_json_decode( "{}" );
$tdatagestion_arbol[".originalDefaultPages"] = $tdatagestion_arbol[".defaultPages"];

//	field labels
$fieldLabelsgestion_arbol = array();
$fieldToolTipsgestion_arbol = array();
$pageTitlesgestion_arbol = array();
$placeHoldersgestion_arbol = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsgestion_arbol["Spanish"] = array();
	$fieldToolTipsgestion_arbol["Spanish"] = array();
	$placeHoldersgestion_arbol["Spanish"] = array();
	$pageTitlesgestion_arbol["Spanish"] = array();
	$fieldLabelsgestion_arbol["Spanish"]["gestion"] = "Gestion";
	$fieldToolTipsgestion_arbol["Spanish"]["gestion"] = "";
	$placeHoldersgestion_arbol["Spanish"]["gestion"] = "";
	$fieldLabelsgestion_arbol["Spanish"]["gestion_hijo"] = "Gestion Hijo";
	$fieldToolTipsgestion_arbol["Spanish"]["gestion_hijo"] = "";
	$placeHoldersgestion_arbol["Spanish"]["gestion_hijo"] = "";
	$fieldLabelsgestion_arbol["Spanish"]["gestion_creado"] = "Gestion Creado";
	$fieldToolTipsgestion_arbol["Spanish"]["gestion_creado"] = "";
	$placeHoldersgestion_arbol["Spanish"]["gestion_creado"] = "";
	if (count($fieldToolTipsgestion_arbol["Spanish"]))
		$tdatagestion_arbol[".isUseToolTips"] = true;
}


	$tdatagestion_arbol[".NCSearch"] = true;



$tdatagestion_arbol[".shortTableName"] = "gestion_arbol";
$tdatagestion_arbol[".nSecOptions"] = 0;

$tdatagestion_arbol[".mainTableOwnerID"] = "";
$tdatagestion_arbol[".entityType"] = 0;
$tdatagestion_arbol[".connId"] = "bsn_dividendos_at_localhost";


$tdatagestion_arbol[".strOriginalTableName"] = "gestion_arbol";

	



$tdatagestion_arbol[".showAddInPopup"] = false;

$tdatagestion_arbol[".showEditInPopup"] = false;

$tdatagestion_arbol[".showViewInPopup"] = false;

$tdatagestion_arbol[".listAjax"] = false;
//	temporary
//$tdatagestion_arbol[".listAjax"] = false;

	$tdatagestion_arbol[".audit"] = false;

	$tdatagestion_arbol[".locking"] = false;


$pages = $tdatagestion_arbol[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatagestion_arbol[".edit"] = true;
	$tdatagestion_arbol[".afterEditAction"] = 1;
	$tdatagestion_arbol[".closePopupAfterEdit"] = 1;
	$tdatagestion_arbol[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatagestion_arbol[".add"] = true;
$tdatagestion_arbol[".afterAddAction"] = 1;
$tdatagestion_arbol[".closePopupAfterAdd"] = 1;
$tdatagestion_arbol[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatagestion_arbol[".list"] = true;
}



$tdatagestion_arbol[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatagestion_arbol[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatagestion_arbol[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatagestion_arbol[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatagestion_arbol[".printFriendly"] = true;
}



$tdatagestion_arbol[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatagestion_arbol[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatagestion_arbol[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatagestion_arbol[".isUseAjaxSuggest"] = true;



																																				

$tdatagestion_arbol[".ajaxCodeSnippetAdded"] = false;

$tdatagestion_arbol[".buttonsAdded"] = false;

$tdatagestion_arbol[".addPageEvents"] = false;

// use timepicker for search panel
$tdatagestion_arbol[".isUseTimeForSearch"] = false;


$tdatagestion_arbol[".badgeColor"] = "6B8E23";


$tdatagestion_arbol[".allSearchFields"] = array();
$tdatagestion_arbol[".filterFields"] = array();
$tdatagestion_arbol[".requiredSearchFields"] = array();

$tdatagestion_arbol[".googleLikeFields"] = array();
$tdatagestion_arbol[".googleLikeFields"][] = "gestion";
$tdatagestion_arbol[".googleLikeFields"][] = "gestion_hijo";
$tdatagestion_arbol[".googleLikeFields"][] = "gestion_creado";



$tdatagestion_arbol[".tableType"] = "list";

$tdatagestion_arbol[".printerPageOrientation"] = 0;
$tdatagestion_arbol[".nPrinterPageScale"] = 100;

$tdatagestion_arbol[".nPrinterSplitRecords"] = 40;

$tdatagestion_arbol[".geocodingEnabled"] = false;










$tdatagestion_arbol[".pageSize"] = 20;

$tdatagestion_arbol[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatagestion_arbol[".strOrderBy"] = $tstrOrderBy;

$tdatagestion_arbol[".orderindexes"] = array();


$tdatagestion_arbol[".sqlHead"] = "SELECT gestion,  	gestion_hijo,  	gestion_creado";
$tdatagestion_arbol[".sqlFrom"] = "FROM gestion_arbol";
$tdatagestion_arbol[".sqlWhereExpr"] = "";
$tdatagestion_arbol[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatagestion_arbol[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatagestion_arbol[".arrGroupsPerPage"] = $arrGPP;

$tdatagestion_arbol[".highlightSearchResults"] = true;

$tableKeysgestion_arbol = array();
$tdatagestion_arbol[".Keys"] = $tableKeysgestion_arbol;


$tdatagestion_arbol[".hideMobileList"] = array();




//	gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "gestion";
	$fdata["GoodName"] = "gestion";
	$fdata["ownerTable"] = "gestion_arbol";
	$fdata["Label"] = GetFieldLabel("gestion_arbol","gestion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "gestion";

		$fdata["sourceSingle"] = "gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion_arbol["gestion"] = $fdata;
		$tdatagestion_arbol[".searchableFields"][] = "gestion";
//	gestion_hijo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "gestion_hijo";
	$fdata["GoodName"] = "gestion_hijo";
	$fdata["ownerTable"] = "gestion_arbol";
	$fdata["Label"] = GetFieldLabel("gestion_arbol","gestion_hijo");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "gestion_hijo";

		$fdata["sourceSingle"] = "gestion_hijo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion_hijo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion_arbol["gestion_hijo"] = $fdata;
		$tdatagestion_arbol[".searchableFields"][] = "gestion_hijo";
//	gestion_creado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "gestion_creado";
	$fdata["GoodName"] = "gestion_creado";
	$fdata["ownerTable"] = "gestion_arbol";
	$fdata["Label"] = GetFieldLabel("gestion_arbol","gestion_creado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "gestion_creado";

		$fdata["sourceSingle"] = "gestion_creado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion_creado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion_arbol["gestion_creado"] = $fdata;
		$tdatagestion_arbol[".searchableFields"][] = "gestion_creado";


$tables_data["gestion_arbol"]=&$tdatagestion_arbol;
$field_labels["gestion_arbol"] = &$fieldLabelsgestion_arbol;
$fieldToolTips["gestion_arbol"] = &$fieldToolTipsgestion_arbol;
$placeHolders["gestion_arbol"] = &$placeHoldersgestion_arbol;
$page_titles["gestion_arbol"] = &$pageTitlesgestion_arbol;


changeTextControlsToDate( "gestion_arbol" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["gestion_arbol"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["gestion_arbol"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_gestion_arbol()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "gestion,  	gestion_hijo,  	gestion_creado";
$proto0["m_strFrom"] = "FROM gestion_arbol";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion",
	"m_strTable" => "gestion_arbol",
	"m_srcTableName" => "gestion_arbol"
));

$proto6["m_sql"] = "gestion";
$proto6["m_srcTableName"] = "gestion_arbol";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion_hijo",
	"m_strTable" => "gestion_arbol",
	"m_srcTableName" => "gestion_arbol"
));

$proto8["m_sql"] = "gestion_hijo";
$proto8["m_srcTableName"] = "gestion_arbol";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion_creado",
	"m_strTable" => "gestion_arbol",
	"m_srcTableName" => "gestion_arbol"
));

$proto10["m_sql"] = "gestion_creado";
$proto10["m_srcTableName"] = "gestion_arbol";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "gestion_arbol";
$proto13["m_srcTableName"] = "gestion_arbol";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "gestion";
$proto13["m_columns"][] = "gestion_hijo";
$proto13["m_columns"][] = "gestion_creado";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "gestion_arbol";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "gestion_arbol";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="gestion_arbol";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_gestion_arbol = createSqlQuery_gestion_arbol();


	
		;

			

$tdatagestion_arbol[".sqlquery"] = $queryData_gestion_arbol;



$tdatagestion_arbol[".hasEvents"] = false;

?>